/**
 * tab切换
 * @param {Object} clickObj 点击对象
 * @param {Object} contentObj 要切换的对象组
 * @param {Object} showClass 显示样式
 */
function Tab(clickObj, contentObj, showClass) {
	this.clickItems = clickObj;
	this.contentContainer = contentObj;
	this.showClass = showClass;
	this.activeIndex = 0;
}

Tab.prototype.click = function(callback) {
	var _this = this;
	this.clickItems.on('click', function() {
		var index = $(this).index();
		_this.activeIndex = index;
		if (_this.showClass) {
			_this.contentContainer.removeClass(_this.showClass);
			if (index)
				_this.contentContainer.eq(index - 1).addClass(_this.showClass);
		}
		if (callback)
			callback();
	});
}

//点击导航条，切换导航内容
var status = '';
$('.sort-nav li').click(function(){
	var data_value = $(this).attr('data-value');
	status = $(this).attr('status');
	$('.sort-div').hide().attr('status',0);
	$('.sort-nav li').children('span').removeAttr('style');
	if(status == 1) {
		//收起下拉框
		$('.cover').hide();
		$(this).children('span').removeAttr('style');
		$('.'+data_value).hide();
		$(this).attr('status',0);
		$('body,html').css('overflow','visible');
//		status = 0;
	} else {
		//显示下拉框
		initProvinceData();//初始化城市数据
		$('.cover').show();
		$('.'+data_value).css('display','block');
//		if(data_value == 'area') {
//			getAddrData();
//		}
		$('body,html').css('overflow','hidden');
		$(this).children('span').css({
			'transform' : 'rotate(180deg)',
			'-webkit-transform' : 'rotate(180deg)'
		});
		$(this).attr('status',1);
//		status = 1;
	}
});
//滑动遮罩层
$('.cover').on('touchmove', function(e) {
	stopBubble(e);
	hideCover();
	$('.sort-nav li').attr('status',0);
	$('body,html').css('overflow','visible');
}) 
//滑动区域时阻止列表滑动
$('.province,.city-box').on('touchmove',function(e){
	$('body,html').css('overflow','hidden');
});

function hideCover(){
	$('.cover').hide();
	$('.sort-div').hide();
	$('.sort-nav li span').removeAttr('style');
	return false;
}