var uTranType = null;
var sTranType = null;
var vm = null, param = null, user = LocalStorage.getLocalStorage('user'),user_goods_id = null, seller_goods_id = null;
apiready=function(){
	$api.fixStatusBar($api.dom('header'));
	user_goods_id = api.pageParam.user_goods_id; //买家商品id
	seller_goods_id = api.pageParam.seller_goods_id; //卖家商品id
	//监听刷新购买地址事件
	api.addEventListener({
	    name:'reloadAddr'
    },function(ret,err){
    	$('#loading-box').show();
		$('#rep-data').hide();
		$('#calculate').hide();
		location.reload(true);
    });
    api.addEventListener({
	    name:'backToDetails'
    },function(ret,err){
    	console.log(111);
    	api.closeWin({});
    });
	vm = new Vue({ //初始化vue
		el:'#rep-data',
		data:{
			perInfo:[],
			sellerOrder:[],
			userOrder:[],
			changeDesc:[],
			totalMoney:0.00
		},
		methods:{
			openGoodDetail:function(index){ //打开商品详情
				api.openWin({
			        name: 'goodDetailsRep',
			        url: '../good/goodDetailsRep.html',
			        pageParam: {goodId:index},
			        bounces:false,
			        delay:200
			    });
			},
			descCount:function(objStr){ //减少购物车数量
				var obj = $('#'+objStr);
				var val = obj.text().trim();
				if(val > 1){
				  obj.text(--val);
				   showChangeInfo($('#user-account'),$('#seller-account'),$('#user-count'),$('#seller-count'));
				   calculatePrice($('#user-account'),$('#seller-account'),$('#user-price'),$('#seller-price'),$('#user-carriage'),$('#seller-carriage'));
				}
			},
			addCount:function(objStr){ //增加购物车数量
				var obj = $('#'+objStr);
				var val = obj.text().trim();
				obj.text(++val);
				showChangeInfo($('#user-account'),$('#seller-account'),$('#user-count'),$('#seller-count'));
				calculatePrice($('#user-account'),$('#seller-account'),$('#user-price'),$('#seller-price'),$('#user-carriage'),$('#seller-carriage'));
			}
		}
	});
	getRepOrderLists(); //获取置换商品列表
}
/**
 * 获取置换商品列表
 * @author xiaojie
 * @version 1.1
 * @date 2016/11/14
 */
function getRepOrderLists(){
	param = {token:user.token,user_goods_id:user_goods_id,seller_goods_id:seller_goods_id};
	AjaxSendData('Goods/get_change_goods_step2','','',param,function(d){
		var lists = d.data;
		if(lists.address_info) {
			vm.perInfo.push(lists.address_info); //个人信息
		} else { //收货地址为空
			$('#per_info').html('<div onclick="openNewWin(\'address_buy_order\',\'address_buy_order.html\',\'\')" class=\"empty-addr\">您暂无收货地址，请<span>设置</span>当前收货地址</div>');
		}
		vm.sellerOrder.push(lists.seller_goods_info); //卖家订单信息
		vm.userOrder.push(lists.user_goods_info); //买家订单信息
		vm.changeDesc.push(lists.change_desc); //置换信息
		$('#loading-box').hide();
		$('#rep-data').show();
		$('#calculate').show();
		uTranType = lists.user_goods_info.shipping_fee_type; //买家运费类型1
		sTranType = lists.seller_goods_info.goods_info.shipping_fee_type; //卖家运费类型0
		showChangeInfo($('#user-account'),$('#seller-account'),$('#user-count'),$('#seller-count'));
		
		var uCount = lists.user_goods_info.num;
		var sCount = lists.seller_goods_info.goods_info.num;
		var uPrice = lists.user_goods_info.shop_price;
		var sPrice = lists.seller_goods_info.goods_info.shop_price;
		var userTran = lists.user_goods_info.transportation;
		var sellerTran = lists.seller_goods_info.goods_info.transportation;
		calTotalMoney(uCount,sCount,uPrice,sPrice,userTran,sellerTran);
	});
}
/**
 * 修改置换订单的提示信息中的商品数量
 * @param {Object} userObj 买家数量对象
 * @param {Object} sellerObj 卖家数量对象
 * @param {Object} userAccount 买家置换订单数量
 * @param {Object} sellerAccount 卖家置换订单数量
 * @author xiaojie
 * @version 1.1
 * @date 2016/10/20
 */
function showChangeInfo(userObj,sellerObj,userAccount,sellerAccount){
	var user_account = parseInt(userObj.text().trim());
	var seller_account = parseInt(sellerObj.text().trim());
	userAccount.text(user_account);
	sellerAccount.text(seller_account);
}
/**
 * 修改置换订单的提示信息中的商品数量
 * @param {Object} userObj 买家数量对象
 * @param {Object} sellerObj 卖家数量对象
 * @param {number} userPrice 买家商品单价
 * @param {number} sellerPrice 卖家商品单价
 * @param {number} userTran 买家商品运费
 * @param {number} sellerTran 卖家商品运费
 * @author xiaojie
 * @version 1.1
 * @date 2016/10/20
 */
function calculatePrice(userObj,sellerObj,userPrice,sellerPrice,userTran,sellerTran){
	var uCount =  parseInt(userObj.text().trim()); //买家商品数量
	var sCount =  parseInt(sellerObj.text().trim()); //卖家商品数量
	var uPrice = parseFloat(userPrice.text().trim()); //买家商品单价
	var sPrice = parseFloat(sellerPrice.text().trim()); //卖家商品单价
	var userTran = userTran.text().trim();
	var sellerTran = sellerTran.text().trim();
	calTotalMoney(uCount,sCount,uPrice,sPrice,userTran,sellerTran);
}
/**
 * 计算订单金额
 * @param {Object} userObj 买家数量对象
 * @param {Object} sellerObj 卖家数量对象
 * @param {number} userPrice 买家商品单价
 * @param {number} sellerPrice 卖家商品单价
 * @param {number} userTran 买家商品运费
 * @param {number} sellerTran 卖家商品运费
 * @author xiaojie
 * @version 1.1
 * @date 2016/11/14
 */
function calTotalMoney(uCount,sCount,uPrice,sPrice,userTran,sellerTran){
	if(uTranType == 1) var uTran = parseFloat(userTran) * uCount; //买家运费
	else var uTran = parseFloat(userTran);
	if(sTranType == 1) var sTran = parseFloat(sellerTran) * sCount; //卖家运费
	else var sTran = parseFloat(sellerTran);
	var userPriceSum =uCount*uPrice+uTran; //买家商品总价
	var sellerPriceSum = sCount*sPrice+sTran;  //卖家商品总价
	var disMoney = (userPriceSum - sellerPriceSum).toFixed(2);
	if(disMoney>0) {
		$('#dis-money').text('收入');
		$('#account-text').text('收入');
		$('#account').text(disMoney);
	} else {
		disMoney = -disMoney;
		$('#dis-money').text('付款');
		$('#account-text').text('付款');
		$('#account').text(disMoney);
	}
	vm.totalMoney = disMoney;
}
/**
 * 传递页面参数到置换页面
 * @author xiaojie
 * @version 1.1
 * @date 2016/10/20
 */
function getPageParam(){
	var user_goods_id = $('#user-goods-id').attr('data-value');
	var user_goods_num = $('#user-account').text().trim();
	var user_address_id = $('.addr-info').attr('data-id');
	var user_desc = $('#textarea').text().trim();
	var seller_goods_id = $('#seller-goods-id').attr('data-value');
	var seller_goods_num = $('#seller-account').text().trim();
	var param = {user_goods_id:user_goods_id,user_goods_num:user_goods_num,user_address_id:user_address_id,user_desc:user_desc,seller_goods_id:seller_goods_id,seller_goods_num:seller_goods_num};
	if(user_address_id == undefined || !user_address_id){
		api.toast({
	        msg:'请填写收货地址'
        });
	}else{
		openNewWin('replace','../person/replace.html',{param:param}); //进入置换列表
	}
}
